package com.group.robot.matcher;

import java.util.Arrays;
import java.util.List;

import com.group.robot.RobotManager;

/**
 * 麻将房间匹配器 - 专门处理麻将类游戏的房间匹配
 */
public class MaJiangRoomMatcher extends GameRoomMatcher {


    public MaJiangRoomMatcher(RobotManager robotManager) {
        super(robotManager);
    }

    @Override
    public List<Integer> getSupportedWanfaIds() {
        return Arrays.asList(10, 22, 108); //长沙麻将、红中麻将、转转麻将
    }
}